_Evas_Object_Box_Data Struct Reference
Evas » Smart Object Functions » Box Smart Object

This structure augments clipped smart object's instance data, providing extra members required by generic box implementation. More...

`#include <Evas_Common.h>`

## Data Fields

Evas_Object_Smart_Clipped_Data | base
const Evas_Object_Box_Api * | api
struct { |
double h |
double v |
} | align
struct { |
Evas_Coord h |
Evas_Coord v |
} | pad
Eina_List * | children
struct { |
Evas_Object_Box_Layout cb |
void * data |
void(* free_data )(void *data) |
} | layout
Eina_Bool | layouting: 1
Eina_Bool | children_changed: 1
Data Fields inherited from _Evas_Object_Smart_Clipped_Data
Evas_Object * | clipper
Evas * | evas

## Detailed Description

This structure augments clipped smart object's instance data, providing extra members required by generic box implementation.

If a subclass inherits from Evas_Object_Box_Api, then it may augment Evas_Object_Box_Data to fit its own needs.